Page MenuHomePhabricator

Wikistats Bug - easy to understand language for pageviews
Closed, ResolvedPublic

Description

Kindly make this view
https://stats.wikimedia.org/#/sw.wikipedia.org/reading/total-page-views/normal|bar|1-year|~total|monthly

more user friendly by writing in clear language something like: "This shows human and automated (bot) views combined. You can split the figures by clicking on Agents"
As it is I was mislead by the text " we try to separate bot traffic and focus on human user page views" - and assumed that was already separated . Spent half an hour trying to understand the difference betwwen toolforge and stats figures.
Did not get what wa meant by "agent" and did not try at first.
Please do not hide your treasurers behind the curtain of insider language. ~~~~

Details

Event Timeline

Nuria renamed this task from Wikistats Bug to Wikistats Bug - easy to understand language for pageviews.Sep 28 2020, 5:36 PM

Change 656227 had a related patch set uploaded (by Bharatkhatri; owner: Bharatkhatri):
[analytics/wikistats2@master] Wikistats Bug

https://gerrit.wikimedia.org/r/656227

Hey @Kipala I think i messed up something..
i will upload a new patch soon

Change 656227 abandoned by Bharatkhatri:
[analytics/wikistats2@master] Wikistats Bug

Reason:
messed up with code. fixing bug again

https://gerrit.wikimedia.org/r/656227

Ottomata triaged this task as High priority.May 6 2021, 5:15 PM
TheresNoTime changed the task status from Open to Stalled.EditedJul 15 2021, 2:49 PM

It would be great if we could agree on the wording to use - I've played around with a couple of iterations and This data shows human and automated views combined, and can be filtered by agent type looks reasonable if a bit lengthy.

image.png (126×705 px, 13 KB)

I've stalled this pending some sort of vague agreement, but a patch for the above is mostly ready :-)

@Kipala & @TheresNoTime: I recently updated the language here as part of another task, can you take a look and see if it makes more sense? If not, please feel free to suggest a change and I can incorporate it: https://stats.wikimedia.org/#/sw.wikipedia.org/reading/total-page-views/normal|bar|1-year|~total|monthly

TheresNoTime assigned this task to Milimetric.

@Kipala & @TheresNoTime: I recently updated the language here as part of another task, can you take a look and see if it makes more sense? If not, please feel free to suggest a change and I can incorporate it: https://stats.wikimedia.org/#/sw.wikipedia.org/reading/total-page-views/normal|bar|1-year|~total|monthly

Looks good! I'm going to boldly resolve this task 🥳